import { message } from "antd/lib/index";
import { getPropertyData, extendInclude, extendRule, getDataFieldValue, setDataFieldValue, initFilter, empty } from "../../utils/common";
import { connect } from 'dva';
/**
 * @return {string}
 */
// 编辑
export default {
  onChange: ({ value, colInfo ,setFieldValue}) => {
    if (colInfo.FIELD_NAME == "QUESTION_LEVEL") {
      if (value == 10) {
        //重大问题 设置为 是重大隐患  1
        //FIELD_NAME: "SERIOUS_RISK"
        setFieldValue("SERIOUS_RISK",'1');
      } else {
        //否则不是  0
        setFieldValue("SERIOUS_RISK",'0');
      }
    }
  },
}
